# Visualization
TKV2d
AIS2D

# AIS2D_DataMapNodeOfDataMapOfLC Class Reference

`#include <AIS2D_DataMapNodeOfDataMapOfLC.hxx>`

## Public Member Functions

| AIS2D_DataMapNodeOfDataMapOfLC (const Standard_Integer &K, const Handle(AIS2D_LocalContext)&I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
Handle_AIS2D_LocalContext & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
Handle_AIS2D_LocalContext | myValue

## Constructor & Destructor Documentation

AIS2D_DataMapNodeOfDataMapOfLC::AIS2D_DataMapNodeOfDataMapOfLC | ( | const Standard_Integer & | K,
|  | const Handle(AIS2D_LocalContext)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const AIS2D_DataMapNodeOfDataMapOfLC::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& AIS2D_DataMapNodeOfDataMapOfLC::Key | ( |  | ) | const

Handle_AIS2D_LocalContext& AIS2D_DataMapNodeOfDataMapOfLC::Value | ( |  | ) | const

## Field Documentation

Standard_Integer AIS2D_DataMapNodeOfDataMapOfLC::myKey `[private]`

Handle_AIS2D_LocalContext AIS2D_DataMapNodeOfDataMapOfLC::myValue `[private]`

The documentation for this class was generated from the following file:

- AIS2D_DataMapNodeOfDataMapOfLC.hxx